data:extend({
{
	type = "technology",
	name = "cannon-turret",
	icon_size = 128,
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-tech.png",
	effects =
	{
		{
			type = "unlock-recipe",
			recipe = "cannon-turret"
		}
	},
	prerequisites = {"tanks"},
	unit =
	{
		count = 20,
		ingredients =
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1}
		},
	time = 20
	},
	order = "e-c-c"
},
	
	
{
	type = "technology",
	name = "cannon-turret-damage-1",
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-damage.png",
	effects =
	{
		{
			type = "turret-attack",
			turret_id = "cannon-turret",
			modifier = "0.2"
		}
	},
	prerequisites = {"cannon-turret"},
	unit =
	{
		count = 50,
		ingredients =
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1}
		},
	time = 30
	},
	upgrade = true,
	order = "e-o-q-a"
},
{
	type = "technology",
	name = "cannon-turret-damage-2",
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-damage.png",
	effects =
	{
		{
			type = "turret-attack",
			turret_id = "cannon-turret",
			modifier = "0.2"
		}
	},
	prerequisites = {"cannon-turret-damage-1"},
	unit =
	{
		count = 100,
		ingredients =
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1}
		},
	time = 30
	},
	upgrade = true,
	order = "e-o-q-b"
},
{
	type = "technology",
	name = "cannon-turret-damage-3",
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-damage.png",
	effects =
	{
		{
			type = "turret-attack",
			turret_id = "cannon-turret",
			modifier = "0.4"
		}
	},
	prerequisites = {"cannon-turret-damage-2"},
	unit =
	{
		count = 200,
		ingredients =
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1}
		},
	time = 60
	},
	upgrade = true,
	order = "e-o-q-c"
},
{
	type = "technology",
	name = "cannon-turret-damage-4",
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-damage.png",
	effects =
	{
		{
			type = "turret-attack",
			turret_id = "cannon-turret",
			modifier = "0.4"
		}
	},
	prerequisites = {"cannon-turret-damage-3"},
	unit =
	{
		count = 100,
		ingredients =
		{
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1}
		},
	time = 60
	},
	upgrade = true,
	order = "e-o-q-d"
},
{
	type = "technology",
	name = "cannon-turret-damage-5",
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-damage.png",
	effects =
	{
		{
			type = "turret-attack",
			turret_id = "cannon-turret",
			modifier = "0.4"
		}
	},
	prerequisites = {"cannon-turret-damage-4"},
	unit =
	{
		count = 200,
		ingredients =
		{
			{"alien-science-pack", 1},
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1}
		},
	time = 60
	},
	upgrade = true,
	order = "e-o-q-e"
},
{
	type = "technology",
	name = "cannon-turret-damage-6",
	icon = "__Cannon-Turret__/graphics/technology/cannonturret-damage.png",
	effects =
	{
		{
			type = "turret-attack",
			turret_id = "cannon-turret",
			modifier = "0.8"
		}
	},
	prerequisites = {"cannon-turret-damage-5"},
	unit =
	{
		count = 300,
		ingredients =
		{
			{"alien-science-pack", 1},
			{"science-pack-1", 1},
			{"science-pack-2", 1},
			{"science-pack-3", 1}
		},
	time = 60
	},
	upgrade = true,
	order = "e-o-q-f"
}
})